## org.apache.commons.math3.optimization
Class PointValuePair

    java.lang.Object
      org.apache.commons.math3.util.Pair<double[],Double>
          org.apache.commons.math3.optimization.PointValuePair

    public class PointValuePair

extends Pair<double[],Double>

This class holds a point and the value of an objective function at that point.

Since:
  3.0
Version:
  $Id: PointValuePair.java 1244107 2012-02-14 16:17:55Z erans $
See Also:
  `PointVectorValuePair`, `MultivariateFunction`

Constructor Summary
`PointValuePair(double[] point, double value)` Builds a point/objective function value pair.
`PointValuePair(double[] point, double value, boolean copyArray)` Builds a point/objective function value pair.

Method Summary
`double[]` `getPoint()` Gets the point.
`double[]` `getPointRef()` Gets a reference to the point.

Methods inherited from class org.apache.commons.math3.util.Pair
`equals, getKey, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointValuePair

    public PointValuePair(double[] point,
                          double value)

  Builds a point/objective function value pair.

  Parameters:
    `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
    `value` - Value of the objective function at the point.

### PointValuePair

    public PointValuePair(double[] point,
                          double value,
                          boolean copyArray)

  Builds a point/objective function value pair.

  Parameters:
    `point` - Point coordinates.
    `value` - Value of the objective function at the point.
    `copyArray` - if `true`, the input array will be copied, otherwise it will be referenced.

Method Detail

### getPoint

    public double[] getPoint()

  Gets the point.

  Returns:
    a copy of the stored point.

### getPointRef

    public double[] getPointRef()

  Gets a reference to the point.

  Returns:
    a reference to the internal array storing the point.

Copyright (c) 2003-2013 Apache Software Foundation